package easydo.technology.controller;

import easydo.technology.service.ProcessStageService;
import easydo.technology.model.ProcessStage;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/processStage")
public class ProcessStageController {

    @Resource
    ProcessStageService processStageService;

    @RequestMapping(value = "/getList")
    public Object getList(@RequestBody Map<String, Object> map) throws Exception {
        Object list = processStageService.getList(map);
        return new ResponseEntity<>(list, HttpStatus.OK);
    }

    @RequestMapping(value = "/getPage")
    public Object getPage(@RequestBody Map<String, Object> map) throws Exception {
        Object page = processStageService.getPage(map);
        return new ResponseEntity<>(page, HttpStatus.OK);
    }


    @RequestMapping(value = "/save")
    public Object add(@RequestBody ProcessStage model) throws Exception {
        Object result = processStageService.save(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }


    @RequestMapping(value = "/update")
    public Object update(@RequestBody ProcessStage model) throws Exception {
        Object result = processStageService.update(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/remove")
    public Object remove(@RequestBody ProcessStage model) throws Exception {
        Object result = processStageService.remove(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
